/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2018 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/ 
/*******************************************************************************
* Rev: 2.00
* Description : IO bitmask header
*******************************************************************************/

#ifndef GPIO_IOBITMASK_H
#define GPIO_IOBITMASK_H


/* ==== Mask values for IO registers ==== */

#define GPIO_P00PFS_PSEL                                                       (0x07u)
#define GPIO_P00PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P00PFS_ISEL                                                       (0x40u)
#define GPIO_P00PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P01PFS_PSEL                                                       (0x07u)
#define GPIO_P01PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P01PFS_ISEL                                                       (0x40u)
#define GPIO_P01PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P02PFS_PSEL                                                       (0x07u)
#define GPIO_P02PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P02PFS_ISEL                                                       (0x40u)
#define GPIO_P02PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P03PFS_PSEL                                                       (0x07u)
#define GPIO_P03PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P03PFS_ISEL                                                       (0x40u)
#define GPIO_P03PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P04PFS_PSEL                                                       (0x07u)
#define GPIO_P04PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P04PFS_ISEL                                                       (0x40u)
#define GPIO_P04PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P05PFS_PSEL                                                       (0x07u)
#define GPIO_P05PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P05PFS_ISEL                                                       (0x40u)
#define GPIO_P05PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P06PFS_PSEL                                                       (0x07u)
#define GPIO_P06PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P06PFS_ISEL                                                       (0x40u)
#define GPIO_P06PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P10PFS_PSEL                                                       (0x07u)
#define GPIO_P10PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P10PFS_ISEL                                                       (0x40u)
#define GPIO_P10PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P11PFS_PSEL                                                       (0x07u)
#define GPIO_P11PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P11PFS_ISEL                                                       (0x40u)
#define GPIO_P11PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P12PFS_PSEL                                                       (0x07u)
#define GPIO_P12PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P12PFS_ISEL                                                       (0x40u)
#define GPIO_P12PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P13PFS_PSEL                                                       (0x07u)
#define GPIO_P13PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P13PFS_ISEL                                                       (0x40u)
#define GPIO_P13PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P14PFS_PSEL                                                       (0x07u)
#define GPIO_P14PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P14PFS_ISEL                                                       (0x40u)
#define GPIO_P14PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P20PFS_PSEL                                                       (0x07u)
#define GPIO_P20PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P20PFS_ISEL                                                       (0x40u)
#define GPIO_P20PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P21PFS_PSEL                                                       (0x07u)
#define GPIO_P21PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P21PFS_ISEL                                                       (0x40u)
#define GPIO_P21PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P22PFS_PSEL                                                       (0x07u)
#define GPIO_P22PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P22PFS_ISEL                                                       (0x40u)
#define GPIO_P22PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P23PFS_PSEL                                                       (0x07u)
#define GPIO_P23PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P23PFS_ISEL                                                       (0x40u)
#define GPIO_P23PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P30PFS_PSEL                                                       (0x07u)
#define GPIO_P30PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P30PFS_ISEL                                                       (0x40u)
#define GPIO_P30PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P31PFS_PSEL                                                       (0x07u)
#define GPIO_P31PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P31PFS_ISEL                                                       (0x40u)
#define GPIO_P31PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P32PFS_PSEL                                                       (0x07u)
#define GPIO_P32PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P32PFS_ISEL                                                       (0x40u)
#define GPIO_P32PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P33PFS_PSEL                                                       (0x07u)
#define GPIO_P33PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P33PFS_ISEL                                                       (0x40u)
#define GPIO_P33PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P34PFS_PSEL                                                       (0x07u)
#define GPIO_P34PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P34PFS_ISEL                                                       (0x40u)
#define GPIO_P34PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P35PFS_PSEL                                                       (0x07u)
#define GPIO_P35PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P35PFS_ISEL                                                       (0x40u)
#define GPIO_P35PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P40PFS_PSEL                                                       (0x07u)
#define GPIO_P40PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P40PFS_ISEL                                                       (0x40u)
#define GPIO_P40PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P41PFS_PSEL                                                       (0x07u)
#define GPIO_P41PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P41PFS_ISEL                                                       (0x40u)
#define GPIO_P41PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P42PFS_PSEL                                                       (0x07u)
#define GPIO_P42PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P42PFS_ISEL                                                       (0x40u)
#define GPIO_P42PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P43PFS_PSEL                                                       (0x07u)
#define GPIO_P43PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P43PFS_ISEL                                                       (0x40u)
#define GPIO_P43PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P44PFS_PSEL                                                       (0x07u)
#define GPIO_P44PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P44PFS_ISEL                                                       (0x40u)
#define GPIO_P44PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P45PFS_PSEL                                                       (0x07u)
#define GPIO_P45PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P45PFS_ISEL                                                       (0x40u)
#define GPIO_P45PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P46PFS_PSEL                                                       (0x07u)
#define GPIO_P46PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P46PFS_ISEL                                                       (0x40u)
#define GPIO_P46PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P47PFS_PSEL                                                       (0x07u)
#define GPIO_P47PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P47PFS_ISEL                                                       (0x40u)
#define GPIO_P47PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P50PFS_PSEL                                                       (0x07u)
#define GPIO_P50PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P50PFS_ISEL                                                       (0x40u)
#define GPIO_P50PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P51PFS_PSEL                                                       (0x07u)
#define GPIO_P51PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P51PFS_ISEL                                                       (0x40u)
#define GPIO_P51PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P52PFS_PSEL                                                       (0x07u)
#define GPIO_P52PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P52PFS_ISEL                                                       (0x40u)
#define GPIO_P52PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P53PFS_PSEL                                                       (0x07u)
#define GPIO_P53PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P53PFS_ISEL                                                       (0x40u)
#define GPIO_P53PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P54PFS_PSEL                                                       (0x07u)
#define GPIO_P54PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P54PFS_ISEL                                                       (0x40u)
#define GPIO_P54PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P55PFS_PSEL                                                       (0x07u)
#define GPIO_P55PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P55PFS_ISEL                                                       (0x40u)
#define GPIO_P55PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P56PFS_PSEL                                                       (0x07u)
#define GPIO_P56PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P56PFS_ISEL                                                       (0x40u)
#define GPIO_P56PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P57PFS_PSEL                                                       (0x07u)
#define GPIO_P57PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P57PFS_ISEL                                                       (0x40u)
#define GPIO_P57PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P60PFS_PSEL                                                       (0x07u)
#define GPIO_P60PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P60PFS_ISEL                                                       (0x40u)
#define GPIO_P60PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P61PFS_PSEL                                                       (0x07u)
#define GPIO_P61PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P61PFS_ISEL                                                       (0x40u)
#define GPIO_P61PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P62PFS_PSEL                                                       (0x07u)
#define GPIO_P62PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P62PFS_ISEL                                                       (0x40u)
#define GPIO_P62PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P63PFS_PSEL                                                       (0x07u)
#define GPIO_P63PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P63PFS_ISEL                                                       (0x40u)
#define GPIO_P63PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P64PFS_PSEL                                                       (0x07u)
#define GPIO_P64PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P64PFS_ISEL                                                       (0x40u)
#define GPIO_P64PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P65PFS_PSEL                                                       (0x07u)
#define GPIO_P65PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P65PFS_ISEL                                                       (0x40u)
#define GPIO_P65PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P66PFS_PSEL                                                       (0x07u)
#define GPIO_P66PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P66PFS_ISEL                                                       (0x40u)
#define GPIO_P66PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P67PFS_PSEL                                                       (0x07u)
#define GPIO_P67PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P67PFS_ISEL                                                       (0x40u)
#define GPIO_P67PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P70PFS_PSEL                                                       (0x07u)
#define GPIO_P70PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P70PFS_ISEL                                                       (0x40u)
#define GPIO_P70PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P71PFS_PSEL                                                       (0x07u)
#define GPIO_P71PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P71PFS_ISEL                                                       (0x40u)
#define GPIO_P71PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P72PFS_PSEL                                                       (0x07u)
#define GPIO_P72PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P72PFS_ISEL                                                       (0x40u)
#define GPIO_P72PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P73PFS_PSEL                                                       (0x07u)
#define GPIO_P73PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P73PFS_ISEL                                                       (0x40u)
#define GPIO_P73PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P74PFS_PSEL                                                       (0x07u)
#define GPIO_P74PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P74PFS_ISEL                                                       (0x40u)
#define GPIO_P74PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P75PFS_PSEL                                                       (0x07u)
#define GPIO_P75PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P75PFS_ISEL                                                       (0x40u)
#define GPIO_P75PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P76PFS_PSEL                                                       (0x07u)
#define GPIO_P76PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P76PFS_ISEL                                                       (0x40u)
#define GPIO_P76PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P77PFS_PSEL                                                       (0x07u)
#define GPIO_P77PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P77PFS_ISEL                                                       (0x40u)
#define GPIO_P77PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P80PFS_PSEL                                                       (0x07u)
#define GPIO_P80PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P80PFS_ISEL                                                       (0x40u)
#define GPIO_P80PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P81PFS_PSEL                                                       (0x07u)
#define GPIO_P81PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P81PFS_ISEL                                                       (0x40u)
#define GPIO_P81PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P82PFS_PSEL                                                       (0x07u)
#define GPIO_P82PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P82PFS_ISEL                                                       (0x40u)
#define GPIO_P82PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P83PFS_PSEL                                                       (0x07u)
#define GPIO_P83PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P83PFS_ISEL                                                       (0x40u)
#define GPIO_P83PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P84PFS_PSEL                                                       (0x07u)
#define GPIO_P84PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P84PFS_ISEL                                                       (0x40u)
#define GPIO_P84PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P85PFS_PSEL                                                       (0x07u)
#define GPIO_P85PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P85PFS_ISEL                                                       (0x40u)
#define GPIO_P85PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P86PFS_PSEL                                                       (0x07u)
#define GPIO_P86PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P86PFS_ISEL                                                       (0x40u)
#define GPIO_P86PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P87PFS_PSEL                                                       (0x07u)
#define GPIO_P87PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P87PFS_ISEL                                                       (0x40u)
#define GPIO_P87PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P90PFS_PSEL                                                       (0x07u)
#define GPIO_P90PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P90PFS_ISEL                                                       (0x40u)
#define GPIO_P90PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P91PFS_PSEL                                                       (0x07u)
#define GPIO_P91PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P91PFS_ISEL                                                       (0x40u)
#define GPIO_P91PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P92PFS_PSEL                                                       (0x07u)
#define GPIO_P92PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P92PFS_ISEL                                                       (0x40u)
#define GPIO_P92PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P93PFS_PSEL                                                       (0x07u)
#define GPIO_P93PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P93PFS_ISEL                                                       (0x40u)
#define GPIO_P93PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P94PFS_PSEL                                                       (0x07u)
#define GPIO_P94PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P94PFS_ISEL                                                       (0x40u)
#define GPIO_P94PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P95PFS_PSEL                                                       (0x07u)
#define GPIO_P95PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P95PFS_ISEL                                                       (0x40u)
#define GPIO_P95PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P96PFS_PSEL                                                       (0x07u)
#define GPIO_P96PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P96PFS_ISEL                                                       (0x40u)
#define GPIO_P96PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_P97PFS_PSEL                                                       (0x07u)
#define GPIO_P97PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_P97PFS_ISEL                                                       (0x40u)
#define GPIO_P97PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA0PFS_PSEL                                                       (0x07u)
#define GPIO_PA0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA0PFS_ISEL                                                       (0x40u)
#define GPIO_PA0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA1PFS_PSEL                                                       (0x07u)
#define GPIO_PA1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA1PFS_ISEL                                                       (0x40u)
#define GPIO_PA1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA2PFS_PSEL                                                       (0x07u)
#define GPIO_PA2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA2PFS_ISEL                                                       (0x40u)
#define GPIO_PA2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA3PFS_PSEL                                                       (0x07u)
#define GPIO_PA3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA3PFS_ISEL                                                       (0x40u)
#define GPIO_PA3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA4PFS_PSEL                                                       (0x07u)
#define GPIO_PA4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA4PFS_ISEL                                                       (0x40u)
#define GPIO_PA4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA5PFS_PSEL                                                       (0x07u)
#define GPIO_PA5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA5PFS_ISEL                                                       (0x40u)
#define GPIO_PA5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA6PFS_PSEL                                                       (0x07u)
#define GPIO_PA6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA6PFS_ISEL                                                       (0x40u)
#define GPIO_PA6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PA7PFS_PSEL                                                       (0x07u)
#define GPIO_PA7PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PA7PFS_ISEL                                                       (0x40u)
#define GPIO_PA7PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PB0PFS_PSEL                                                       (0x07u)
#define GPIO_PB0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PB0PFS_ISEL                                                       (0x40u)
#define GPIO_PB0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PB1PFS_PSEL                                                       (0x07u)
#define GPIO_PB1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PB1PFS_ISEL                                                       (0x40u)
#define GPIO_PB1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PB2PFS_PSEL                                                       (0x07u)
#define GPIO_PB2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PB2PFS_ISEL                                                       (0x40u)
#define GPIO_PB2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PB3PFS_PSEL                                                       (0x07u)
#define GPIO_PB3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PB3PFS_ISEL                                                       (0x40u)
#define GPIO_PB3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PB4PFS_PSEL                                                       (0x07u)
#define GPIO_PB4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PB4PFS_ISEL                                                       (0x40u)
#define GPIO_PB4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PB5PFS_PSEL                                                       (0x07u)
#define GPIO_PB5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PB5PFS_ISEL                                                       (0x40u)
#define GPIO_PB5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC0PFS_PSEL                                                       (0x07u)
#define GPIO_PC0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC0PFS_ISEL                                                       (0x40u)
#define GPIO_PC0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC1PFS_PSEL                                                       (0x07u)
#define GPIO_PC1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC1PFS_ISEL                                                       (0x40u)
#define GPIO_PC1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC2PFS_PSEL                                                       (0x07u)
#define GPIO_PC2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC2PFS_ISEL                                                       (0x40u)
#define GPIO_PC2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC3PFS_PSEL                                                       (0x07u)
#define GPIO_PC3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC3PFS_ISEL                                                       (0x40u)
#define GPIO_PC3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC4PFS_PSEL                                                       (0x07u)
#define GPIO_PC4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC4PFS_ISEL                                                       (0x40u)
#define GPIO_PC4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC5PFS_PSEL                                                       (0x07u)
#define GPIO_PC5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC5PFS_ISEL                                                       (0x40u)
#define GPIO_PC5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC6PFS_PSEL                                                       (0x07u)
#define GPIO_PC6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC6PFS_ISEL                                                       (0x40u)
#define GPIO_PC6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PC7PFS_PSEL                                                       (0x07u)
#define GPIO_PC7PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PC7PFS_ISEL                                                       (0x40u)
#define GPIO_PC7PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD0PFS_PSEL                                                       (0x07u)
#define GPIO_PD0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD0PFS_ISEL                                                       (0x40u)
#define GPIO_PD0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD1PFS_PSEL                                                       (0x07u)
#define GPIO_PD1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD1PFS_ISEL                                                       (0x40u)
#define GPIO_PD1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD2PFS_PSEL                                                       (0x07u)
#define GPIO_PD2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD2PFS_ISEL                                                       (0x40u)
#define GPIO_PD2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD3PFS_PSEL                                                       (0x07u)
#define GPIO_PD3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD3PFS_ISEL                                                       (0x40u)
#define GPIO_PD3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD4PFS_PSEL                                                       (0x07u)
#define GPIO_PD4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD4PFS_ISEL                                                       (0x40u)
#define GPIO_PD4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD5PFS_PSEL                                                       (0x07u)
#define GPIO_PD5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD5PFS_ISEL                                                       (0x40u)
#define GPIO_PD5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD6PFS_PSEL                                                       (0x07u)
#define GPIO_PD6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD6PFS_ISEL                                                       (0x40u)
#define GPIO_PD6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PD7PFS_PSEL                                                       (0x07u)
#define GPIO_PD7PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PD7PFS_ISEL                                                       (0x40u)
#define GPIO_PD7PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE0PFS_PSEL                                                       (0x07u)
#define GPIO_PE0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE0PFS_ISEL                                                       (0x40u)
#define GPIO_PE0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE1PFS_PSEL                                                       (0x07u)
#define GPIO_PE1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE1PFS_ISEL                                                       (0x40u)
#define GPIO_PE1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE2PFS_PSEL                                                       (0x07u)
#define GPIO_PE2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE2PFS_ISEL                                                       (0x40u)
#define GPIO_PE2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE3PFS_PSEL                                                       (0x07u)
#define GPIO_PE3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE3PFS_ISEL                                                       (0x40u)
#define GPIO_PE3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE4PFS_PSEL                                                       (0x07u)
#define GPIO_PE4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE4PFS_ISEL                                                       (0x40u)
#define GPIO_PE4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE5PFS_PSEL                                                       (0x07u)
#define GPIO_PE5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE5PFS_ISEL                                                       (0x40u)
#define GPIO_PE5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PE6PFS_PSEL                                                       (0x07u)
#define GPIO_PE6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PE6PFS_ISEL                                                       (0x40u)
#define GPIO_PE6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF0PFS_PSEL                                                       (0x07u)
#define GPIO_PF0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF0PFS_ISEL                                                       (0x40u)
#define GPIO_PF0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF1PFS_PSEL                                                       (0x07u)
#define GPIO_PF1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF1PFS_ISEL                                                       (0x40u)
#define GPIO_PF1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF2PFS_PSEL                                                       (0x07u)
#define GPIO_PF2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF2PFS_ISEL                                                       (0x40u)
#define GPIO_PF2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF3PFS_PSEL                                                       (0x07u)
#define GPIO_PF3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF3PFS_ISEL                                                       (0x40u)
#define GPIO_PF3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF4PFS_PSEL                                                       (0x07u)
#define GPIO_PF4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF4PFS_ISEL                                                       (0x40u)
#define GPIO_PF4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF5PFS_PSEL                                                       (0x07u)
#define GPIO_PF5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF5PFS_ISEL                                                       (0x40u)
#define GPIO_PF5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF6PFS_PSEL                                                       (0x07u)
#define GPIO_PF6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF6PFS_ISEL                                                       (0x40u)
#define GPIO_PF6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PF7PFS_PSEL                                                       (0x07u)
#define GPIO_PF7PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PF7PFS_ISEL                                                       (0x40u)
#define GPIO_PF7PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG0PFS_PSEL                                                       (0x07u)
#define GPIO_PG0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG0PFS_ISEL                                                       (0x40u)
#define GPIO_PG0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG1PFS_PSEL                                                       (0x07u)
#define GPIO_PG1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG1PFS_ISEL                                                       (0x40u)
#define GPIO_PG1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG2PFS_PSEL                                                       (0x07u)
#define GPIO_PG2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG2PFS_ISEL                                                       (0x40u)
#define GPIO_PG2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG3PFS_PSEL                                                       (0x07u)
#define GPIO_PG3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG3PFS_ISEL                                                       (0x40u)
#define GPIO_PG3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG4PFS_PSEL                                                       (0x07u)
#define GPIO_PG4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG4PFS_ISEL                                                       (0x40u)
#define GPIO_PG4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG5PFS_PSEL                                                       (0x07u)
#define GPIO_PG5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG5PFS_ISEL                                                       (0x40u)
#define GPIO_PG5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG6PFS_PSEL                                                       (0x07u)
#define GPIO_PG6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG6PFS_ISEL                                                       (0x40u)
#define GPIO_PG6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PG7PFS_PSEL                                                       (0x07u)
#define GPIO_PG7PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PG7PFS_ISEL                                                       (0x40u)
#define GPIO_PG7PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH0PFS_PSEL                                                       (0x07u)
#define GPIO_PH0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH0PFS_ISEL                                                       (0x40u)
#define GPIO_PH0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH1PFS_PSEL                                                       (0x07u)
#define GPIO_PH1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH1PFS_ISEL                                                       (0x40u)
#define GPIO_PH1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH2PFS_PSEL                                                       (0x07u)
#define GPIO_PH2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH2PFS_ISEL                                                       (0x40u)
#define GPIO_PH2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH3PFS_PSEL                                                       (0x07u)
#define GPIO_PH3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH3PFS_ISEL                                                       (0x40u)
#define GPIO_PH3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH4PFS_PSEL                                                       (0x07u)
#define GPIO_PH4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH4PFS_ISEL                                                       (0x40u)
#define GPIO_PH4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH5PFS_PSEL                                                       (0x07u)
#define GPIO_PH5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH5PFS_ISEL                                                       (0x40u)
#define GPIO_PH5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PH6PFS_PSEL                                                       (0x07u)
#define GPIO_PH6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PH6PFS_ISEL                                                       (0x40u)
#define GPIO_PH6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ0PFS_PSEL                                                       (0x07u)
#define GPIO_PJ0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ0PFS_ISEL                                                       (0x40u)
#define GPIO_PJ0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ1PFS_PSEL                                                       (0x07u)
#define GPIO_PJ1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ1PFS_ISEL                                                       (0x40u)
#define GPIO_PJ1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ2PFS_PSEL                                                       (0x07u)
#define GPIO_PJ2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ2PFS_ISEL                                                       (0x40u)
#define GPIO_PJ2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ3PFS_PSEL                                                       (0x07u)
#define GPIO_PJ3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ3PFS_ISEL                                                       (0x40u)
#define GPIO_PJ3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ4PFS_PSEL                                                       (0x07u)
#define GPIO_PJ4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ4PFS_ISEL                                                       (0x40u)
#define GPIO_PJ4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ5PFS_PSEL                                                       (0x07u)
#define GPIO_PJ5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ5PFS_ISEL                                                       (0x40u)
#define GPIO_PJ5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ6PFS_PSEL                                                       (0x07u)
#define GPIO_PJ6PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ6PFS_ISEL                                                       (0x40u)
#define GPIO_PJ6PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PJ7PFS_PSEL                                                       (0x07u)
#define GPIO_PJ7PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PJ7PFS_ISEL                                                       (0x40u)
#define GPIO_PJ7PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PK0PFS_PSEL                                                       (0x07u)
#define GPIO_PK0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PK0PFS_ISEL                                                       (0x40u)
#define GPIO_PK0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PK1PFS_PSEL                                                       (0x07u)
#define GPIO_PK1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PK1PFS_ISEL                                                       (0x40u)
#define GPIO_PK1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PK2PFS_PSEL                                                       (0x07u)
#define GPIO_PK2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PK2PFS_ISEL                                                       (0x40u)
#define GPIO_PK2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PK3PFS_PSEL                                                       (0x07u)
#define GPIO_PK3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PK3PFS_ISEL                                                       (0x40u)
#define GPIO_PK3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PK4PFS_PSEL                                                       (0x07u)
#define GPIO_PK4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PK4PFS_ISEL                                                       (0x40u)
#define GPIO_PK4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PK5PFS_PSEL                                                       (0x07u)
#define GPIO_PK5PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PK5PFS_ISEL                                                       (0x40u)
#define GPIO_PK5PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PL0PFS_PSEL                                                       (0x07u)
#define GPIO_PL0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PL0PFS_ISEL                                                       (0x40u)
#define GPIO_PL0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PL1PFS_PSEL                                                       (0x07u)
#define GPIO_PL1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PL1PFS_ISEL                                                       (0x40u)
#define GPIO_PL1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PL2PFS_PSEL                                                       (0x07u)
#define GPIO_PL2PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PL2PFS_ISEL                                                       (0x40u)
#define GPIO_PL2PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PL3PFS_PSEL                                                       (0x07u)
#define GPIO_PL3PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PL3PFS_ISEL                                                       (0x40u)
#define GPIO_PL3PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PL4PFS_PSEL                                                       (0x07u)
#define GPIO_PL4PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PL4PFS_ISEL                                                       (0x40u)
#define GPIO_PL4PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PM0PFS_PSEL                                                       (0x07u)
#define GPIO_PM0PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PM0PFS_ISEL                                                       (0x40u)
#define GPIO_PM0PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PM1PFS_PSEL                                                       (0x07u)
#define GPIO_PM1PFS_PSEL_SHIFT                                                 (0u)
#define GPIO_PM1PFS_ISEL                                                       (0x40u)
#define GPIO_PM1PFS_ISEL_SHIFT                                                 (6u)
#define GPIO_PWPR_PFSWE                                                        (0x40u)
#define GPIO_PWPR_PFSWE_SHIFT                                                  (6u)
#define GPIO_PWPR_B0WI                                                         (0x80u)
#define GPIO_PWPR_B0WI_SHIFT                                                   (7u)
#define GPIO_PFENET_PHYMODE0                                                   (0x01u)
#define GPIO_PFENET_PHYMODE0_SHIFT                                             (0u)
#define GPIO_PFENET_PHYMODE1                                                   (0x02u)
#define GPIO_PFENET_PHYMODE1_SHIFT                                             (1u)
#define GPIO_PPOC_POC0                                                         (0x00000001u)
#define GPIO_PPOC_POC0_SHIFT                                                   (0u)
#define GPIO_PPOC_POC2                                                         (0x00000004u)
#define GPIO_PPOC_POC2_SHIFT                                                   (2u)
#define GPIO_PPOC_POC3                                                         (0x00000008u)
#define GPIO_PPOC_POC3_SHIFT                                                   (3u)
#define GPIO_PPOC_POCSEL0                                                      (0x00000100u)
#define GPIO_PPOC_POCSEL0_SHIFT                                                (8u)
#define GPIO_PSDMMC0_SD0_CLK_DRV                                               (0x00000003u)
#define GPIO_PSDMMC0_SD0_CLK_DRV_SHIFT                                         (0u)
#define GPIO_PSDMMC0_SD0_CMD_DRV                                               (0x0000000Cu)
#define GPIO_PSDMMC0_SD0_CMD_DRV_SHIFT                                         (2u)
#define GPIO_PSDMMC0_SD0_DAT0_DRV                                              (0x00000030u)
#define GPIO_PSDMMC0_SD0_DAT0_DRV_SHIFT                                        (4u)
#define GPIO_PSDMMC0_SD0_DAT1_DRV                                              (0x000000C0u)
#define GPIO_PSDMMC0_SD0_DAT1_DRV_SHIFT                                        (6u)
#define GPIO_PSDMMC0_SD0_DAT2_DRV                                              (0x00000300u)
#define GPIO_PSDMMC0_SD0_DAT2_DRV_SHIFT                                        (8u)
#define GPIO_PSDMMC0_SD0_DAT3_DRV                                              (0x00000C00u)
#define GPIO_PSDMMC0_SD0_DAT3_DRV_SHIFT                                        (10u)
#define GPIO_PSDMMC0_SD0_CLK_TDSEL                                             (0x00003000u)
#define GPIO_PSDMMC0_SD0_CLK_TDSEL_SHIFT                                       (12u)
#define GPIO_PSDMMC1_SD0_DAT4_DRV                                              (0x00000003u)
#define GPIO_PSDMMC1_SD0_DAT4_DRV_SHIFT                                        (0u)
#define GPIO_PSDMMC1_SD0_DAT5_DRV                                              (0x0000000Cu)
#define GPIO_PSDMMC1_SD0_DAT5_DRV_SHIFT                                        (2u)
#define GPIO_PSDMMC1_SD0_DAT6_DRV                                              (0x00000030u)
#define GPIO_PSDMMC1_SD0_DAT6_DRV_SHIFT                                        (4u)
#define GPIO_PSDMMC1_SD0_DAT7_DRV                                              (0x000000C0u)
#define GPIO_PSDMMC1_SD0_DAT7_DRV_SHIFT                                        (6u)
#define GPIO_PSDMMC1_SD0_RSTN_DRV                                              (0x00000300u)
#define GPIO_PSDMMC1_SD0_RSTN_DRV_SHIFT                                        (8u)
#define GPIO_PSDMMC2_SD1_CLK_DRV                                               (0x00000003u)
#define GPIO_PSDMMC2_SD1_CLK_DRV_SHIFT                                         (0u)
#define GPIO_PSDMMC2_SD1_CMD_DRV                                               (0x0000000Cu)
#define GPIO_PSDMMC2_SD1_CMD_DRV_SHIFT                                         (2u)
#define GPIO_PSDMMC2_SD1_DAT0_DRV                                              (0x00000030u)
#define GPIO_PSDMMC2_SD1_DAT0_DRV_SHIFT                                        (4u)
#define GPIO_PSDMMC2_SD1_DAT1_DRV                                              (0x000000C0u)
#define GPIO_PSDMMC2_SD1_DAT1_DRV_SHIFT                                        (6u)
#define GPIO_PSDMMC2_SD1_DAT2_DRV                                              (0x00000300u)
#define GPIO_PSDMMC2_SD1_DAT2_DRV_SHIFT                                        (8u)
#define GPIO_PSDMMC2_SD1_DAT3_DRV                                              (0x00000C00u)
#define GPIO_PSDMMC2_SD1_DAT3_DRV_SHIFT                                        (10u)
#define GPIO_PSDMMC2_SD1_CLK_TDSEL                                             (0x00003000u)
#define GPIO_PSDMMC2_SD1_CLK_TDSEL_SHIFT                                       (12u)
#define GPIO_PSPIBSC_QSPI0_SPCLK_DRV                                           (0x00000003u)
#define GPIO_PSPIBSC_QSPI0_SPCLK_DRV_SHIFT                                     (0u)
#define GPIO_PSPIBSC_QSPI0_IO0_DRV                                             (0x0000000Cu)
#define GPIO_PSPIBSC_QSPI0_IO0_DRV_SHIFT                                       (2u)
#define GPIO_PSPIBSC_QSPI0_IO1_DRV                                             (0x00000030u)
#define GPIO_PSPIBSC_QSPI0_IO1_DRV_SHIFT                                       (4u)
#define GPIO_PSPIBSC_QSPI0_IO2_DRV                                             (0x000000C0u)
#define GPIO_PSPIBSC_QSPI0_IO2_DRV_SHIFT                                       (6u)
#define GPIO_PSPIBSC_QSPI0_IO3_DRV                                             (0x00000300u)
#define GPIO_PSPIBSC_QSPI0_IO3_DRV_SHIFT                                       (8u)
#define GPIO_PSPIBSC_QSPI0_SSL_DRV                                             (0x00000C00u)
#define GPIO_PSPIBSC_QSPI0_SSL_DRV_SHIFT                                       (10u)
#define GPIO_PSPIBSC_RPC_RESETN_DRV                                            (0x00003000u)
#define GPIO_PSPIBSC_RPC_RESETN_DRV_SHIFT                                      (12u)
#define GPIO_PSPIBSC_RPC_WPN_DRV                                               (0x0000C000u)
#define GPIO_PSPIBSC_RPC_WPN_DRV_SHIFT                                         (14u)
#define GPIO_PSPIBSC_QSPI1_SPCLK_DRV                                           (0x00030000u)
#define GPIO_PSPIBSC_QSPI1_SPCLK_DRV_SHIFT                                     (16u)
#define GPIO_PSPIBSC_QSPI1_IO0_DRV                                             (0x000C0000u)
#define GPIO_PSPIBSC_QSPI1_IO0_DRV_SHIFT                                       (18u)
#define GPIO_PSPIBSC_QSPI1_IO1_DRV                                             (0x00300000u)
#define GPIO_PSPIBSC_QSPI1_IO1_DRV_SHIFT                                       (20u)
#define GPIO_PSPIBSC_QSPI1_IO2_DRV                                             (0x00C00000u)
#define GPIO_PSPIBSC_QSPI1_IO2_DRV_SHIFT                                       (22u)
#define GPIO_PSPIBSC_QSPI1_IO3_DRV                                             (0x03000000u)
#define GPIO_PSPIBSC_QSPI1_IO3_DRV_SHIFT                                       (24u)
#define GPIO_PSPIBSC_QSPI1_SSL_DRV                                             (0x0C000000u)
#define GPIO_PSPIBSC_QSPI1_SSL_DRV_SHIFT                                       (26u)
#define GPIO_PHMOM0_HOSEL                                                      (0x00000001u)
#define GPIO_PHMOM0_HOSEL_SHIFT                                                (0u)
#define GPIO_PMODEPFS_ET0_EXOUT_SEL                                            (0x00000001u)
#define GPIO_PMODEPFS_ET0_EXOUT_SEL_SHIFT                                      (0u)
#define GPIO_PMODEPFS_ET1_EXOUT_SEL                                            (0x00000002u)
#define GPIO_PMODEPFS_ET1_EXOUT_SEL_SHIFT                                      (1u)
#define GPIO_PMODEPFS_VBUS0_SEL                                                (0x00000004u)
#define GPIO_PMODEPFS_VBUS0_SEL_SHIFT                                          (2u)
#define GPIO_PMODEPFS_VBUS1_SEL                                                (0x00000008u)
#define GPIO_PMODEPFS_VBUS1_SEL_SHIFT                                          (3u)
#define GPIO_PCKIO_CKIO_DRV                                                    (0x03u)
#define GPIO_PCKIO_CKIO_DRV_SHIFT                                              (0u)
#define GPIO_PDR_PDR0                                                          (0x0003u)
#define GPIO_PDR_PDR0_SHIFT                                                    (0u)
#define GPIO_PDR_PDR1                                                          (0x000Cu)
#define GPIO_PDR_PDR1_SHIFT                                                    (2u)
#define GPIO_PDR_PDR2                                                          (0x0030u)
#define GPIO_PDR_PDR2_SHIFT                                                    (4u)
#define GPIO_PDR_PDR3                                                          (0x00C0u)
#define GPIO_PDR_PDR3_SHIFT                                                    (6u)
#define GPIO_PDR_PDR4                                                          (0x0300u)
#define GPIO_PDR_PDR4_SHIFT                                                    (8u)
#define GPIO_PDR_PDR5                                                          (0x0C00u)
#define GPIO_PDR_PDR5_SHIFT                                                    (10u)
#define GPIO_PDR_PDR6                                                          (0x3000u)
#define GPIO_PDR_PDR6_SHIFT                                                    (12u)
#define GPIO_PODR_PODR0                                                        (0x01u)
#define GPIO_PODR_PODR0_SHIFT                                                  (0u)
#define GPIO_PODR_PODR1                                                        (0x02u)
#define GPIO_PODR_PODR1_SHIFT                                                  (1u)
#define GPIO_PODR_PODR2                                                        (0x04u)
#define GPIO_PODR_PODR2_SHIFT                                                  (2u)
#define GPIO_PODR_PODR3                                                        (0x08u)
#define GPIO_PODR_PODR3_SHIFT                                                  (3u)
#define GPIO_PODR_PODR4                                                        (0x10u)
#define GPIO_PODR_PODR4_SHIFT                                                  (4u)
#define GPIO_PODR_PODR5                                                        (0x20u)
#define GPIO_PODR_PODR5_SHIFT                                                  (5u)
#define GPIO_PODR_PODR6                                                        (0x40u)
#define GPIO_PODR_PODR6_SHIFT                                                  (6u)
#define GPIO_PIDR_PIDR0                                                        (0x01u)
#define GPIO_PIDR_PIDR0_SHIFT                                                  (0u)
#define GPIO_PIDR_PIDR1                                                        (0x02u)
#define GPIO_PIDR_PIDR1_SHIFT                                                  (1u)
#define GPIO_PIDR_PIDR2                                                        (0x04u)
#define GPIO_PIDR_PIDR2_SHIFT                                                  (2u)
#define GPIO_PIDR_PIDR3                                                        (0x08u)
#define GPIO_PIDR_PIDR3_SHIFT                                                  (3u)
#define GPIO_PIDR_PIDR4                                                        (0x10u)
#define GPIO_PIDR_PIDR4_SHIFT                                                  (4u)
#define GPIO_PIDR_PIDR5                                                        (0x20u)
#define GPIO_PIDR_PIDR5_SHIFT                                                  (5u)
#define GPIO_PIDR_PIDR6                                                        (0x40u)
#define GPIO_PIDR_PIDR6_SHIFT                                                  (6u)
#define GPIO_PMR_PMR0                                                          (0x01u)
#define GPIO_PMR_PMR0_SHIFT                                                    (0u)
#define GPIO_PMR_PMR1                                                          (0x02u)
#define GPIO_PMR_PMR1_SHIFT                                                    (1u)
#define GPIO_PMR_PMR2                                                          (0x04u)
#define GPIO_PMR_PMR2_SHIFT                                                    (2u)
#define GPIO_PMR_PMR3                                                          (0x08u)
#define GPIO_PMR_PMR3_SHIFT                                                    (3u)
#define GPIO_PMR_PMR4                                                          (0x10u)
#define GPIO_PMR_PMR4_SHIFT                                                    (4u)
#define GPIO_PMR_PMR5                                                          (0x20u)
#define GPIO_PMR_PMR5_SHIFT                                                    (5u)
#define GPIO_PMR_PMR6                                                          (0x40u)
#define GPIO_PMR_PMR6_SHIFT                                                    (6u)
#define GPIO_DSCR_DSCR0                                                        (0x0003u)
#define GPIO_DSCR_DSCR0_SHIFT                                                  (0u)
#define GPIO_DSCR_DSCR1                                                        (0x000Cu)
#define GPIO_DSCR_DSCR1_SHIFT                                                  (2u)
#define GPIO_DSCR_DSCR2                                                        (0x0030u)
#define GPIO_DSCR_DSCR2_SHIFT                                                  (4u)
#define GPIO_DSCR_DSCR3                                                        (0x00C0u)
#define GPIO_DSCR_DSCR3_SHIFT                                                  (6u)
#define GPIO_DSCR_DSCR4                                                        (0x0300u)
#define GPIO_DSCR_DSCR4_SHIFT                                                  (8u)
#define GPIO_DSCR_DSCR5                                                        (0x0C00u)
#define GPIO_DSCR_DSCR5_SHIFT                                                  (10u)
#define GPIO_DSCR_DSCR6                                                        (0x3000u)
#define GPIO_DSCR_DSCR6_SHIFT                                                  (12u)
#define GPIO_PDR_PDR7                                                          (0xC000u)
#define GPIO_PDR_PDR7_SHIFT                                                    (14u)
#define GPIO_PODR_PODR7                                                        (0x80u)
#define GPIO_PODR_PODR7_SHIFT                                                  (7u)
#define GPIO_PIDR_PIDR7                                                        (0x80u)
#define GPIO_PIDR_PIDR7_SHIFT                                                  (7u)
#define GPIO_PMR_PMR7                                                          (0x80u)
#define GPIO_PMR_PMR7_SHIFT                                                    (7u)
#define GPIO_DSCR_DSCR7                                                        (0xC000u)
#define GPIO_DSCR_DSCR7_SHIFT                                                  (14u)

#endif
