/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
* Copyright (C) 2018 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/ 
/*******************************************************************************
* Rev: 2.00
* Description : IO bitmask header
*******************************************************************************/

#ifndef SPRITE_IOBITMASK_H
#define SPRITE_IOBITMASK_H


/* ==== Mask values for IO registers ==== */

#define SPRITE_SPEA0RLSL_SPEA0RBUSSEL                                          (0x00000001u)
#define SPRITE_SPEA0RLSL_SPEA0RBUSSEL_SHIFT                                    (0u)
#define SPRITE_SPEA0STA0_SPEA0RSTA0                                            (0xFFFFFFFFu)
#define SPRITE_SPEA0STA0_SPEA0RSTA0_SHIFT                                      (0u)
#define SPRITE_SPEA0PHA0_SPEA0RPHA0                                            (0xFFFFFFFFu)
#define SPRITE_SPEA0PHA0_SPEA0RPHA0_SHIFT                                      (0u)
#define SPRITE_SPEA0RCM0_SPEA0RCM0                                             (0x00000003u)
#define SPRITE_SPEA0RCM0_SPEA0RCM0_SHIFT                                       (0u)
#define SPRITE_SPEA0RUP_SPEA0RUP0                                              (0x00000001u)
#define SPRITE_SPEA0RUP_SPEA0RUP0_SHIFT                                        (0u)
#define SPRITE_SPEA0RCFG_SPEA0RDTH                                             (0x00000007u)
#define SPRITE_SPEA0RCFG_SPEA0RDTH_SHIFT                                       (0u)
#define SPRITE_SPEA0RCFG_SPEA0RLEN                                             (0x00000070u)
#define SPRITE_SPEA0RCFG_SPEA0RLEN_SHIFT                                       (4u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN0                                            (0x00000001u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN0_SHIFT                                      (0u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN1                                            (0x00000002u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN1_SHIFT                                      (1u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN2                                            (0x00000004u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN2_SHIFT                                      (2u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN3                                            (0x00000008u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN3_SHIFT                                      (3u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN4                                            (0x00000010u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN4_SHIFT                                      (4u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN5                                            (0x00000020u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN5_SHIFT                                      (5u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN6                                            (0x00000040u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN6_SHIFT                                      (6u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN7                                            (0x00000080u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN7_SHIFT                                      (7u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN8                                            (0x00000100u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN8_SHIFT                                      (8u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN9                                            (0x00000200u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN9_SHIFT                                      (9u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN10                                           (0x00000400u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN10_SHIFT                                     (10u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN11                                           (0x00000800u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN11_SHIFT                                     (11u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN12                                           (0x00001000u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN12_SHIFT                                     (12u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN13                                           (0x00002000u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN13_SHIFT                                     (13u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN14                                           (0x00004000u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN14_SHIFT                                     (14u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN15                                           (0x00008000u)
#define SPRITE_SPEA0S0EN_SPEA0S0EN15_SHIFT                                     (15u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS0                                            (0x00000001u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS0_SHIFT                                      (0u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS1                                            (0x00000002u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS1_SHIFT                                      (1u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS2                                            (0x00000004u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS2_SHIFT                                      (2u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS3                                            (0x00000008u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS3_SHIFT                                      (3u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS4                                            (0x00000010u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS4_SHIFT                                      (4u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS5                                            (0x00000020u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS5_SHIFT                                      (5u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS6                                            (0x00000040u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS6_SHIFT                                      (6u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS7                                            (0x00000080u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS7_SHIFT                                      (7u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS8                                            (0x00000100u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS8_SHIFT                                      (8u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS9                                            (0x00000200u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS9_SHIFT                                      (9u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS10                                           (0x00000400u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS10_SHIFT                                     (10u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS11                                           (0x00000800u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS11_SHIFT                                     (11u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS12                                           (0x00001000u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS12_SHIFT                                     (12u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS13                                           (0x00002000u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS13_SHIFT                                     (13u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS14                                           (0x00004000u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS14_SHIFT                                     (14u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS15                                           (0x00008000u)
#define SPRITE_SPEA0S0DS_SPEA0S0DS15_SHIFT                                     (15u)
#define SPRITE_SPEA0S0UP_SPEA0S0UP0                                            (0x00000001u)
#define SPRITE_SPEA0S0UP_SPEA0S0UP0_SHIFT                                      (0u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN0                                            (0x00000001u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN0_SHIFT                                      (0u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN1                                            (0x00000002u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN1_SHIFT                                      (1u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN2                                            (0x00000004u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN2_SHIFT                                      (2u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN3                                            (0x00000008u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN3_SHIFT                                      (3u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN4                                            (0x00000010u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN4_SHIFT                                      (4u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN5                                            (0x00000020u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN5_SHIFT                                      (5u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN6                                            (0x00000040u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN6_SHIFT                                      (6u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN7                                            (0x00000080u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN7_SHIFT                                      (7u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN8                                            (0x00000100u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN8_SHIFT                                      (8u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN9                                            (0x00000200u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN9_SHIFT                                      (9u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN10                                           (0x00000400u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN10_SHIFT                                     (10u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN11                                           (0x00000800u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN11_SHIFT                                     (11u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN12                                           (0x00001000u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN12_SHIFT                                     (12u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN13                                           (0x00002000u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN13_SHIFT                                     (13u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN14                                           (0x00004000u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN14_SHIFT                                     (14u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN15                                           (0x00008000u)
#define SPRITE_SPEA0S1EN_SPEA0S1EN15_SHIFT                                     (15u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS0                                            (0x00000001u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS0_SHIFT                                      (0u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS1                                            (0x00000002u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS1_SHIFT                                      (1u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS2                                            (0x00000004u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS2_SHIFT                                      (2u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS3                                            (0x00000008u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS3_SHIFT                                      (3u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS4                                            (0x00000010u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS4_SHIFT                                      (4u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS5                                            (0x00000020u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS5_SHIFT                                      (5u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS6                                            (0x00000040u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS6_SHIFT                                      (6u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS7                                            (0x00000080u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS7_SHIFT                                      (7u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS8                                            (0x00000100u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS8_SHIFT                                      (8u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS9                                            (0x00000200u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS9_SHIFT                                      (9u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS10                                           (0x00000400u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS10_SHIFT                                     (10u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS11                                           (0x00000800u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS11_SHIFT                                     (11u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS12                                           (0x00001000u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS12_SHIFT                                     (12u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS13                                           (0x00002000u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS13_SHIFT                                     (13u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS14                                           (0x00004000u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS14_SHIFT                                     (14u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS15                                           (0x00008000u)
#define SPRITE_SPEA0S1DS_SPEA0S1DS15_SHIFT                                     (15u)
#define SPRITE_SPEA0S1UP_SPEA0S1UP0                                            (0x00000001u)
#define SPRITE_SPEA0S1UP_SPEA0S1UP0_SHIFT                                      (0u)
#define SPRITE_SPEA0S0DA0_SPEA0S0DA0                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA0_SPEA0S0DA0_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY0_SPEA0S0LYH0                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY0_SPEA0S0LYH0_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY0_SPEA0S0LYW0                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY0_SPEA0S0LYW0_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS0_SPEA0S0PSY0                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS0_SPEA0S0PSY0_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS0_SPEA0S0PSX0                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS0_SPEA0S0PSX0_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA1_SPEA0S0DA1                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA1_SPEA0S0DA1_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY1_SPEA0S0LYH1                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY1_SPEA0S0LYH1_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY1_SPEA0S0LYW1                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY1_SPEA0S0LYW1_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS1_SPEA0S0PSY1                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS1_SPEA0S0PSY1_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS1_SPEA0S0PSX1                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS1_SPEA0S0PSX1_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA2_SPEA0S0DA2                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA2_SPEA0S0DA2_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY2_SPEA0S0LYH2                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY2_SPEA0S0LYH2_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY2_SPEA0S0LYW2                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY2_SPEA0S0LYW2_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS2_SPEA0S0PSY2                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS2_SPEA0S0PSY2_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS2_SPEA0S0PSX2                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS2_SPEA0S0PSX2_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA3_SPEA0S0DA3                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA3_SPEA0S0DA3_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY3_SPEA0S0LYH3                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY3_SPEA0S0LYH3_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY3_SPEA0S0LYW3                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY3_SPEA0S0LYW3_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS3_SPEA0S0PSY3                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS3_SPEA0S0PSY3_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS3_SPEA0S0PSX3                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS3_SPEA0S0PSX3_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA4_SPEA0S0DA4                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA4_SPEA0S0DA4_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY4_SPEA0S0LYH4                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY4_SPEA0S0LYH4_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY4_SPEA0S0LYW4                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY4_SPEA0S0LYW4_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS4_SPEA0S0PSY4                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS4_SPEA0S0PSY4_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS4_SPEA0S0PSX4                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS4_SPEA0S0PSX4_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA5_SPEA0S0DA5                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA5_SPEA0S0DA5_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY5_SPEA0S0LYH5                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY5_SPEA0S0LYH5_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY5_SPEA0S0LYW5                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY5_SPEA0S0LYW5_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS5_SPEA0S0PSY5                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS5_SPEA0S0PSY5_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS5_SPEA0S0PSX5                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS5_SPEA0S0PSX5_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA6_SPEA0S0DA6                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA6_SPEA0S0DA6_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY6_SPEA0S0LYH6                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY6_SPEA0S0LYH6_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY6_SPEA0S0LYW6                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY6_SPEA0S0LYW6_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS6_SPEA0S0PSY6                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS6_SPEA0S0PSY6_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS6_SPEA0S0PSX6                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS6_SPEA0S0PSX6_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA7_SPEA0S0DA7                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA7_SPEA0S0DA7_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY7_SPEA0S0LYH7                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY7_SPEA0S0LYH7_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY7_SPEA0S0LYW7                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY7_SPEA0S0LYW7_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS7_SPEA0S0PSY7                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS7_SPEA0S0PSY7_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS7_SPEA0S0PSX7                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS7_SPEA0S0PSX7_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA8_SPEA0S0DA8                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA8_SPEA0S0DA8_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY8_SPEA0S0LYH8                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY8_SPEA0S0LYH8_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY8_SPEA0S0LYW8                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY8_SPEA0S0LYW8_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS8_SPEA0S0PSY8                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS8_SPEA0S0PSY8_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS8_SPEA0S0PSX8                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS8_SPEA0S0PSX8_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA9_SPEA0S0DA9                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA9_SPEA0S0DA9_SHIFT                                     (0u)
#define SPRITE_SPEA0S0LY9_SPEA0S0LYH9                                          (0x000007FFu)
#define SPRITE_SPEA0S0LY9_SPEA0S0LYH9_SHIFT                                    (0u)
#define SPRITE_SPEA0S0LY9_SPEA0S0LYW9                                          (0x07FE0000u)
#define SPRITE_SPEA0S0LY9_SPEA0S0LYW9_SHIFT                                    (17u)
#define SPRITE_SPEA0S0PS9_SPEA0S0PSY9                                          (0x00001FFFu)
#define SPRITE_SPEA0S0PS9_SPEA0S0PSY9_SHIFT                                    (0u)
#define SPRITE_SPEA0S0PS9_SPEA0S0PSX9                                          (0x07FE0000u)
#define SPRITE_SPEA0S0PS9_SPEA0S0PSX9_SHIFT                                    (17u)
#define SPRITE_SPEA0S0DA10_SPEA0S0DA10                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA10_SPEA0S0DA10_SHIFT                                   (0u)
#define SPRITE_SPEA0S0LY10_SPEA0S0LYH10                                        (0x000007FFu)
#define SPRITE_SPEA0S0LY10_SPEA0S0LYH10_SHIFT                                  (0u)
#define SPRITE_SPEA0S0LY10_SPEA0S0LYW10                                        (0x07FE0000u)
#define SPRITE_SPEA0S0LY10_SPEA0S0LYW10_SHIFT                                  (17u)
#define SPRITE_SPEA0S0PS10_SPEA0S0PSY10                                        (0x00001FFFu)
#define SPRITE_SPEA0S0PS10_SPEA0S0PSY10_SHIFT                                  (0u)
#define SPRITE_SPEA0S0PS10_SPEA0S0PSX10                                        (0x07FE0000u)
#define SPRITE_SPEA0S0PS10_SPEA0S0PSX10_SHIFT                                  (17u)
#define SPRITE_SPEA0S0DA11_SPEA0S0DA11                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA11_SPEA0S0DA11_SHIFT                                   (0u)
#define SPRITE_SPEA0S0LY11_SPEA0S0LYH11                                        (0x000007FFu)
#define SPRITE_SPEA0S0LY11_SPEA0S0LYH11_SHIFT                                  (0u)
#define SPRITE_SPEA0S0LY11_SPEA0S0LYW11                                        (0x07FE0000u)
#define SPRITE_SPEA0S0LY11_SPEA0S0LYW11_SHIFT                                  (17u)
#define SPRITE_SPEA0S0PS11_SPEA0S0PSY11                                        (0x00001FFFu)
#define SPRITE_SPEA0S0PS11_SPEA0S0PSY11_SHIFT                                  (0u)
#define SPRITE_SPEA0S0PS11_SPEA0S0PSX11                                        (0x07FE0000u)
#define SPRITE_SPEA0S0PS11_SPEA0S0PSX11_SHIFT                                  (17u)
#define SPRITE_SPEA0S0DA12_SPEA0S0DA12                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA12_SPEA0S0DA12_SHIFT                                   (0u)
#define SPRITE_SPEA0S0LY12_SPEA0S0LYH12                                        (0x000007FFu)
#define SPRITE_SPEA0S0LY12_SPEA0S0LYH12_SHIFT                                  (0u)
#define SPRITE_SPEA0S0LY12_SPEA0S0LYW12                                        (0x07FE0000u)
#define SPRITE_SPEA0S0LY12_SPEA0S0LYW12_SHIFT                                  (17u)
#define SPRITE_SPEA0S0PS12_SPEA0S0PSY12                                        (0x00001FFFu)
#define SPRITE_SPEA0S0PS12_SPEA0S0PSY12_SHIFT                                  (0u)
#define SPRITE_SPEA0S0PS12_SPEA0S0PSX12                                        (0x07FE0000u)
#define SPRITE_SPEA0S0PS12_SPEA0S0PSX12_SHIFT                                  (17u)
#define SPRITE_SPEA0S0DA13_SPEA0S0DA13                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA13_SPEA0S0DA13_SHIFT                                   (0u)
#define SPRITE_SPEA0S0LY13_SPEA0S0LYH13                                        (0x000007FFu)
#define SPRITE_SPEA0S0LY13_SPEA0S0LYH13_SHIFT                                  (0u)
#define SPRITE_SPEA0S0LY13_SPEA0S0LYW13                                        (0x07FE0000u)
#define SPRITE_SPEA0S0LY13_SPEA0S0LYW13_SHIFT                                  (17u)
#define SPRITE_SPEA0S0PS13_SPEA0S0PSY13                                        (0x00001FFFu)
#define SPRITE_SPEA0S0PS13_SPEA0S0PSY13_SHIFT                                  (0u)
#define SPRITE_SPEA0S0PS13_SPEA0S0PSX13                                        (0x07FE0000u)
#define SPRITE_SPEA0S0PS13_SPEA0S0PSX13_SHIFT                                  (17u)
#define SPRITE_SPEA0S0DA14_SPEA0S0DA14                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA14_SPEA0S0DA14_SHIFT                                   (0u)
#define SPRITE_SPEA0S0LY14_SPEA0S0LYH14                                        (0x000007FFu)
#define SPRITE_SPEA0S0LY14_SPEA0S0LYH14_SHIFT                                  (0u)
#define SPRITE_SPEA0S0LY14_SPEA0S0LYW14                                        (0x07FE0000u)
#define SPRITE_SPEA0S0LY14_SPEA0S0LYW14_SHIFT                                  (17u)
#define SPRITE_SPEA0S0PS14_SPEA0S0PSY14                                        (0x00001FFFu)
#define SPRITE_SPEA0S0PS14_SPEA0S0PSY14_SHIFT                                  (0u)
#define SPRITE_SPEA0S0PS14_SPEA0S0PSX14                                        (0x07FE0000u)
#define SPRITE_SPEA0S0PS14_SPEA0S0PSX14_SHIFT                                  (17u)
#define SPRITE_SPEA0S0DA15_SPEA0S0DA15                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S0DA15_SPEA0S0DA15_SHIFT                                   (0u)
#define SPRITE_SPEA0S0LY15_SPEA0S0LYH15                                        (0x000007FFu)
#define SPRITE_SPEA0S0LY15_SPEA0S0LYH15_SHIFT                                  (0u)
#define SPRITE_SPEA0S0LY15_SPEA0S0LYW15                                        (0x07FE0000u)
#define SPRITE_SPEA0S0LY15_SPEA0S0LYW15_SHIFT                                  (17u)
#define SPRITE_SPEA0S0PS15_SPEA0S0PSY15                                        (0x00001FFFu)
#define SPRITE_SPEA0S0PS15_SPEA0S0PSY15_SHIFT                                  (0u)
#define SPRITE_SPEA0S0PS15_SPEA0S0PSX15                                        (0x07FE0000u)
#define SPRITE_SPEA0S0PS15_SPEA0S0PSX15_SHIFT                                  (17u)
#define SPRITE_SPEA0S1DA0_SPEA0S1DA0                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA0_SPEA0S1DA0_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY0_SPEA0S1LYH0                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY0_SPEA0S1LYH0_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY0_SPEA0S1LYW0                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY0_SPEA0S1LYW0_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS0_SPEA0S1PSY0                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS0_SPEA0S1PSY0_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS0_SPEA0S1PSX0                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS0_SPEA0S1PSX0_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA1_SPEA0S1DA1                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA1_SPEA0S1DA1_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY1_SPEA0S1LYH1                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY1_SPEA0S1LYH1_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY1_SPEA0S1LYW1                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY1_SPEA0S1LYW1_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS1_SPEA0S1PSY1                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS1_SPEA0S1PSY1_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS1_SPEA0S1PSX1                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS1_SPEA0S1PSX1_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA2_SPEA0S1DA2                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA2_SPEA0S1DA2_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY2_SPEA0S1LYH2                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY2_SPEA0S1LYH2_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY2_SPEA0S1LYW2                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY2_SPEA0S1LYW2_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS2_SPEA0S1PSY2                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS2_SPEA0S1PSY2_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS2_SPEA0S1PSX2                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS2_SPEA0S1PSX2_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA3_SPEA0S1DA3                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA3_SPEA0S1DA3_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY3_SPEA0S1LYH3                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY3_SPEA0S1LYH3_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY3_SPEA0S1LYW3                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY3_SPEA0S1LYW3_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS3_SPEA0S1PSY3                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS3_SPEA0S1PSY3_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS3_SPEA0S1PSX3                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS3_SPEA0S1PSX3_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA4_SPEA0S1DA4                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA4_SPEA0S1DA4_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY4_SPEA0S1LYH4                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY4_SPEA0S1LYH4_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY4_SPEA0S1LYW4                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY4_SPEA0S1LYW4_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS4_SPEA0S1PSY4                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS4_SPEA0S1PSY4_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS4_SPEA0S1PSX4                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS4_SPEA0S1PSX4_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA5_SPEA0S1DA5                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA5_SPEA0S1DA5_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY5_SPEA0S1LYH5                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY5_SPEA0S1LYH5_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY5_SPEA0S1LYW5                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY5_SPEA0S1LYW5_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS5_SPEA0S1PSY5                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS5_SPEA0S1PSY5_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS5_SPEA0S1PSX5                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS5_SPEA0S1PSX5_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA6_SPEA0S1DA6                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA6_SPEA0S1DA6_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY6_SPEA0S1LYH6                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY6_SPEA0S1LYH6_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY6_SPEA0S1LYW6                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY6_SPEA0S1LYW6_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS6_SPEA0S1PSY6                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS6_SPEA0S1PSY6_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS6_SPEA0S1PSX6                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS6_SPEA0S1PSX6_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA7_SPEA0S1DA7                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA7_SPEA0S1DA7_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY7_SPEA0S1LYH7                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY7_SPEA0S1LYH7_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY7_SPEA0S1LYW7                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY7_SPEA0S1LYW7_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS7_SPEA0S1PSY7                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS7_SPEA0S1PSY7_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS7_SPEA0S1PSX7                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS7_SPEA0S1PSX7_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA8_SPEA0S1DA8                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA8_SPEA0S1DA8_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY8_SPEA0S1LYH8                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY8_SPEA0S1LYH8_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY8_SPEA0S1LYW8                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY8_SPEA0S1LYW8_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS8_SPEA0S1PSY8                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS8_SPEA0S1PSY8_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS8_SPEA0S1PSX8                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS8_SPEA0S1PSX8_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA9_SPEA0S1DA9                                           (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA9_SPEA0S1DA9_SHIFT                                     (0u)
#define SPRITE_SPEA0S1LY9_SPEA0S1LYH9                                          (0x000007FFu)
#define SPRITE_SPEA0S1LY9_SPEA0S1LYH9_SHIFT                                    (0u)
#define SPRITE_SPEA0S1LY9_SPEA0S1LYW9                                          (0x07FE0000u)
#define SPRITE_SPEA0S1LY9_SPEA0S1LYW9_SHIFT                                    (17u)
#define SPRITE_SPEA0S1PS9_SPEA0S1PSY9                                          (0x00001FFFu)
#define SPRITE_SPEA0S1PS9_SPEA0S1PSY9_SHIFT                                    (0u)
#define SPRITE_SPEA0S1PS9_SPEA0S1PSX9                                          (0x07FE0000u)
#define SPRITE_SPEA0S1PS9_SPEA0S1PSX9_SHIFT                                    (17u)
#define SPRITE_SPEA0S1DA10_SPEA0S1DA10                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA10_SPEA0S1DA10_SHIFT                                   (0u)
#define SPRITE_SPEA0S1LY10_SPEA0S1LYH10                                        (0x000007FFu)
#define SPRITE_SPEA0S1LY10_SPEA0S1LYH10_SHIFT                                  (0u)
#define SPRITE_SPEA0S1LY10_SPEA0S1LYW10                                        (0x07FE0000u)
#define SPRITE_SPEA0S1LY10_SPEA0S1LYW10_SHIFT                                  (17u)
#define SPRITE_SPEA0S1PS10_SPEA0S1PSY10                                        (0x00001FFFu)
#define SPRITE_SPEA0S1PS10_SPEA0S1PSY10_SHIFT                                  (0u)
#define SPRITE_SPEA0S1PS10_SPEA0S1PSX10                                        (0x07FE0000u)
#define SPRITE_SPEA0S1PS10_SPEA0S1PSX10_SHIFT                                  (17u)
#define SPRITE_SPEA0S1DA11_SPEA0S1DA11                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA11_SPEA0S1DA11_SHIFT                                   (0u)
#define SPRITE_SPEA0S1LY11_SPEA0S1LYH11                                        (0x000007FFu)
#define SPRITE_SPEA0S1LY11_SPEA0S1LYH11_SHIFT                                  (0u)
#define SPRITE_SPEA0S1LY11_SPEA0S1LYW11                                        (0x07FE0000u)
#define SPRITE_SPEA0S1LY11_SPEA0S1LYW11_SHIFT                                  (17u)
#define SPRITE_SPEA0S1PS11_SPEA0S1PSY11                                        (0x00001FFFu)
#define SPRITE_SPEA0S1PS11_SPEA0S1PSY11_SHIFT                                  (0u)
#define SPRITE_SPEA0S1PS11_SPEA0S1PSX11                                        (0x07FE0000u)
#define SPRITE_SPEA0S1PS11_SPEA0S1PSX11_SHIFT                                  (17u)
#define SPRITE_SPEA0S1DA12_SPEA0S1DA12                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA12_SPEA0S1DA12_SHIFT                                   (0u)
#define SPRITE_SPEA0S1LY12_SPEA0S1LYH12                                        (0x000007FFu)
#define SPRITE_SPEA0S1LY12_SPEA0S1LYH12_SHIFT                                  (0u)
#define SPRITE_SPEA0S1LY12_SPEA0S1LYW12                                        (0x07FE0000u)
#define SPRITE_SPEA0S1LY12_SPEA0S1LYW12_SHIFT                                  (17u)
#define SPRITE_SPEA0S1PS12_SPEA0S1PSY12                                        (0x00001FFFu)
#define SPRITE_SPEA0S1PS12_SPEA0S1PSY12_SHIFT                                  (0u)
#define SPRITE_SPEA0S1PS12_SPEA0S1PSX12                                        (0x07FE0000u)
#define SPRITE_SPEA0S1PS12_SPEA0S1PSX12_SHIFT                                  (17u)
#define SPRITE_SPEA0S1DA13_SPEA0S1DA13                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA13_SPEA0S1DA13_SHIFT                                   (0u)
#define SPRITE_SPEA0S1LY13_SPEA0S1LYH13                                        (0x000007FFu)
#define SPRITE_SPEA0S1LY13_SPEA0S1LYH13_SHIFT                                  (0u)
#define SPRITE_SPEA0S1LY13_SPEA0S1LYW13                                        (0x07FE0000u)
#define SPRITE_SPEA0S1LY13_SPEA0S1LYW13_SHIFT                                  (17u)
#define SPRITE_SPEA0S1PS13_SPEA0S1PSY13                                        (0x00001FFFu)
#define SPRITE_SPEA0S1PS13_SPEA0S1PSY13_SHIFT                                  (0u)
#define SPRITE_SPEA0S1PS13_SPEA0S1PSX13                                        (0x07FE0000u)
#define SPRITE_SPEA0S1PS13_SPEA0S1PSX13_SHIFT                                  (17u)
#define SPRITE_SPEA0S1DA14_SPEA0S1DA14                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA14_SPEA0S1DA14_SHIFT                                   (0u)
#define SPRITE_SPEA0S1LY14_SPEA0S1LYH14                                        (0x000007FFu)
#define SPRITE_SPEA0S1LY14_SPEA0S1LYH14_SHIFT                                  (0u)
#define SPRITE_SPEA0S1LY14_SPEA0S1LYW14                                        (0x07FE0000u)
#define SPRITE_SPEA0S1LY14_SPEA0S1LYW14_SHIFT                                  (17u)
#define SPRITE_SPEA0S1PS14_SPEA0S1PSY14                                        (0x00001FFFu)
#define SPRITE_SPEA0S1PS14_SPEA0S1PSY14_SHIFT                                  (0u)
#define SPRITE_SPEA0S1PS14_SPEA0S1PSX14                                        (0x07FE0000u)
#define SPRITE_SPEA0S1PS14_SPEA0S1PSX14_SHIFT                                  (17u)
#define SPRITE_SPEA0S1DA15_SPEA0S1DA15                                         (0xFFFFFFFFu)
#define SPRITE_SPEA0S1DA15_SPEA0S1DA15_SHIFT                                   (0u)
#define SPRITE_SPEA0S1LY15_SPEA0S1LYH15                                        (0x000007FFu)
#define SPRITE_SPEA0S1LY15_SPEA0S1LYH15_SHIFT                                  (0u)
#define SPRITE_SPEA0S1LY15_SPEA0S1LYW15                                        (0x07FE0000u)
#define SPRITE_SPEA0S1LY15_SPEA0S1LYW15_SHIFT                                  (17u)
#define SPRITE_SPEA0S1PS15_SPEA0S1PSY15                                        (0x00001FFFu)
#define SPRITE_SPEA0S1PS15_SPEA0S1PSY15_SHIFT                                  (0u)
#define SPRITE_SPEA0S1PS15_SPEA0S1PSX15                                        (0x07FE0000u)
#define SPRITE_SPEA0S1PS15_SPEA0S1PSX15_SHIFT                                  (17u)

#endif
